Package org.apache.sling.distribution.journal.shared

## Class JournalAvailableChecker

- java.lang.Object
- - org.apache.sling.distribution.journal.shared.JournalAvailableChecker

All Implemented Interfaces:
  `org.osgi.service.event.EventHandler`

    public class JournalAvailableChecker
    extends Object
    implements org.osgi.service.event.EventHandler

### Nested Class Summary

Nested Classes
`static interface` `JournalAvailableChecker.JournalCheckerConfiguration`

### Field Summary

Fields
`static long` `INITIAL_RETRY_DELAY`
`static long` `MAX_RETRY_DELAY`

### Constructor Summary

Constructors
`JournalAvailableChecker()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `activate​(JournalAvailableChecker.JournalCheckerConfiguration config, org.osgi.framework.BundleContext context)`
`void` `deactivate()`
`void` `handleEvent​(org.osgi.service.event.Event event)`
`boolean` `isAvailable()`
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INITIAL_RETRY_DELAY

    public static final long INITIAL_RETRY_DELAY

See Also:
  Constant Field Values

#### MAX_RETRY_DELAY

    public static final long MAX_RETRY_DELAY

See Also:
  Constant Field Values

### Constructor Detail

#### JournalAvailableChecker

    public JournalAvailableChecker()

### Method Detail

#### activate

    public void activate​(JournalAvailableChecker.JournalCheckerConfiguration config,
                         org.osgi.framework.BundleContext context)

#### deactivate

    public void deactivate()

#### isAvailable

    public boolean isAvailable()

#### run

    public void run()

#### handleEvent

    public void handleEvent​(org.osgi.service.event.Event event)

Specified by:
  `handleEvent` in interface `org.osgi.service.event.EventHandler`